Epoch: 1
%define module_name Digest-HighwayHash
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/Int64.pm) perl(Test/Exception.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt5
Summary: XS fast strong keyed hash function
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MG/MGV/%{module_name}-%{version}.tar.gz

%description
HighwayHash is a fast and strong keyed hash function, documented at
https://github.com/google/highwayhash.

Three functions are exported by this module, all by default:

=over

=item highway_hash64 *\@key*, *$input*

Compute the 64-bit HighwayHash of *$input*, using *\@key* as a key.
The key must be a 4-element arrayref, with each element either a
number or (on Perls without 64-bit numbers) a the Math::Int64 manpage object. The result is a single number or (on Perls without 64-bit numbers) a the Math::Int64 manpage object.

=item highway_hash128 *\@key*, *$input*

Compute the 128-bit HighwayHash of *$input*, using *\@key* as a key.
The key must be a 4-element arrayref, with each element either a
number or (on Perls without 64-bit numbers) a the Math::Int64 manpage object. The result is an array of exactly two numbers or (on Perls without 64-bit numbers) the Math::Int64 manpage objects.

=item highway_hash256 *\@key*, *$input*

Compute the 256-bit HighwayHash of *$input*, using *\@key* as a key.
The key must be a 4-element arrayref, with each element either a
number or (on Perls without 64-bit numbers) a the Math::Int64 manpage object. The result is an array of exactly four numbers or (on Perls without 64-bit numbers) the Math::Int64 manpage objects.


=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1:0.002-alt5
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1:0.002-alt4
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1:0.002-alt3.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1:0.002-alt2.1
- rebuild with perl 5.28.1

* Mon Jun 25 2018 Igor Vlasenko <viy@altlinux.ru> 1:0.002-alt2
- regenerated from template by package builder

* Sun Jun 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.001001-alt1
- regenerated from template by package builder

* Tue Jun 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

